Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class EquivalentNodeGroup

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement
            |
            +--biouml.model.Node
                  |
                  +--biouml.model.Compartment
                        |
                        +--biouml.model.EquivalentNodeGroup

public class EquivalentNodeGroup
extends Compartment

Group of equivalent nodes. In view mode they are represented by one node image, in design mode they look likes compartment.

Fields inherited from class biouml.model.Compartment
`SHAPE_ELLIPSE, SHAPE_RECTANGLE, SHAPE_ROUND_RECTANGLE`

Fields inherited from class biouml.model.Node
`background`

Constructor Summary
`EquivalentNodeGroup(DataCollection parent, String name)`

Method Summary
`Base[]` | `getKernels()` We would like to get access for kernels through the property to display it in property inspector.
`Node` | `getRepresentative()`

Methods inherited from class biouml.model.Compartment
`addDataCollectionListener, clone, close, contains, contains, containsKernel, findNode, get, getCompleteName, getDataElementType, getInfo, getKernelNodes, getNameList, getShapeColor, getShapeType, getSize, init, isMutable, iterator, moveNodes, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, setShapeColor, setShapeType`

Methods inherited from class biouml.model.Node
`addEdge, edgeIterator, findCommonOrigin, getBackground, getEdges, getImage, getLocation, getShapeSize, isBackgroundHidden, isFixed, isNotResizable, removeEdge, setBackground, setFixed, setImage, setLocation, setLocation, setRelativeLocation, setShapeSize`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### EquivalentNodeGroup

    public EquivalentNodeGroup(DataCollection parent, String name)

Method Detail

### getKernels

    public Base[] getKernels()

  We would like to get access for kernels through the property to display it in property inspector.

### getRepresentative

    public Node getRepresentative()

  returns a node that represetns all group in view mode.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM